# Echo server program
import socket

HOST = ''        # Symbolic name meaning all available interfaces
PORT = 50008              # Arbitrary non-privileged port
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
s.bind((HOST, PORT))
s.listen(1)

while 1:
    conn, addr = s.accept()
    print('Connected by', addr)
    data = conn.recv(1024)
    if not data: break
    indata = data.split(" ")
    conn.send("Thank you, " + indata[0] +  " I have received your message. ")
conn.close()
